#version 330


struct Material
{
	vec3 diffuseColor;
	float opacity;
};

uniform Material material;

uniform mat4 modelMatrix;

in vec3 position;

out vec4 color;

void main() {
	gl_Position = modelMatrix * vec4(position, 1);
	//color = vec4(0.317f, 0.317f, 0.9725f, 0.9f);
	color = vec4(material.diffuseColor.x, material.diffuseColor.y, material.diffuseColor.z, material.opacity);
}