#version 330

in vec3 position;
in vec3 color;

out vec4 colorOut;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;

void main() {
	gl_Position = projectionMatrix * viewMatrix * vec4(position, 1);
	//colorOut = vec4(color, 1);
	colorOut = vec4(1,0,0, 1) + vec4(color, 1);
}