#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
//uniform vec3 camPosition;

//shader outputs to the fragment shader
out vec2 texcoord;


void main() {

	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(position,1);
	
	texcoord = uv;
}

